Trio Client API Docs
Trio
Trio
  1. Positions
  • Home
  • APIs
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Positions
      • Gets a list of assignments with demographics
        GET
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get information for the specified provider confirmation.
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
    • Timecard
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get callback statistics for a specific client.
      • Get the reviews for a specific timecard.
      • Create a review for a specific timecard.
      • Get a review for a specific timecard.
      • Get a list of reviews for a specific timecard.
      • Update a review for a specific timecard.
      • Delete a review for a specific timecard.
      • Get a specific timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
    • Timecard Copy
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get a specific timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
  1. Positions

Gets a list of assignments with demographics

GET
/positions/assignment-demographics
Returns a list of assignments with details about the assignment and the candidate.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
The request has succeeded.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.triowfs.com/trio/positions/assignment-demographics?statusChangedSince&offset&maxResults' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "offset": 0,
    "total": 0,
    "maxResults": 0,
    "sort": [
        "string"
    ],
    "links": {
        "first": "http://example.com",
        "last": "http://example.com",
        "next": "http://example.com",
        "prev": "http://example.com"
    },
    "items": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "number": 0,
            "status": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            },
            "job": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "number": 0
            },
            "requisitionId": "string",
            "client": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            },
            "candidate": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "number": 0,
                "name": "string",
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "title": "string",
                "address": {
                    "line1": "string",
                    "line2": "string",
                    "city": "string",
                    "state": "string",
                    "zip": "string"
                },
                "phoneNumber": "string",
                "emailAddress": "string",
                "dateOfBirth": "2019-08-24",
                "ssnLastFour": "string",
                "agency": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "name": "string"
                }
            },
            "startDate": "2019-08-24",
            "endDate": "2019-08-24",
            "shiftNotes": "string",
            "specialties": [
                {
                    "profession": {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "name": "string",
                        "code": 0
                    },
                    "specialty": {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "name": "string",
                        "code": 0
                    }
                }
            ],
            "rates": [
                {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "name": "string",
                    "accountNumber": "string",
                    "amount": 0,
                    "isDefault": true
                }
            ],
            "statusChangedDate": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-01-16 22:00:06
Previous
Get information for the specified job.
Next
Gets all professions with a list of their specialties.
Built with